AntBioR
=======

Antarctic Biodiversity Tools for R


## Installing

In time this package will be made available via CRAN, but in the meantime can be installed from rforge.

### Windows

Install the dependencies first:
```{r}
install.packages(c("httr","stringr","plyr","digest","RCurl","jsonlite","assertthat"))
```

If you wish to use the `data.table` package for potentially faster loading of data matrices (optional), also do:
```{r}
install.packages(c("data.table"))
```

Then the AntBioR package itself:
```{r}
install.packages("AntBioR",repos="http://rforge.net/",type="source")
```

### Linux

First, ensure that `libcurl` is installed on your system --- e.g. on Ubuntu, open a terminal and do:
```
sudo apt-get install libcurl4-openssl-dev
```

or install `libcurl4-openssl-dev` via the Software Centre.

Then, fire up R and install the dependencies that we need:
```{r}
install.packages(c("httr","stringr","plyr","digest","RCurl","jsonlite","assertthat"))
```

If you wish to use the `data.table` package for potentially faster loading of data matrices (optional), also do:
```{r}
install.packages(c("data.table"))
```

Then the AntBioR package itself:
```{r}
install.packages("AntBioR",repos="http://rforge.net/")
```

